Bug 9669 - net rpc join crashes against a Samba 3.0.33 PDC
net rpc join crashes against a Samba 3.0.33 PDC
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: DCE-RPCs and pipes
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-20 16:15 UTC by Christian Ambach
Modified: 2013-02-27 08:53 UTC (History)
0 users

See Also:


Attachments
Patch that went into master (1.41 KB, patch)
2013-02-21 00:33 UTC, Jeremy Allison
ambi: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ambach 2013-02-20 16:15:18 UTC
Starting program: /usr/bin/net join -w SMBPDC -S pdc -U root%password
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff79eb888 in rpc_pipe_bind_step_two_done (subreq=0x0) at rpc_client/cli_pipe.c:1808
1808                    if (state->cli->dc->negotiate_flags &
(gdb) print state->cli->dc
$4 = (struct netlogon_creds_CredentialState *) 0x0

PDC is running an ancient Samba version (that was shipped with RHEL5)

# rpm -qi samba
Name        : samba                        Relocations: (not relocatable)
Version     : 3.0.33                            Vendor: Red Hat, Inc.
Release     : 3.14.el5                      Build Date: Thu 28 May 2009 07:43:36 PM CEST


Patch is on its way through autobuild
Comment 1 Jeremy Allison 2013-02-21 00:33:33 UTC
Created attachment 8573 [details]
Patch that went into master

Applies cleanly to 4.0.x. Christian, does this also fail in 3.6.x ?

Jeremy.
Comment 2 Christian Ambach 2013-02-25 12:24:41 UTC
3.6 is not affected, it does not contain the AES support patches

Karolin, please include the fix into v4.0.next
Comment 3 Christian Ambach 2013-02-25 12:25:22 UTC
In case you want to cherry-pick from master, it is commit 3d29bb2
Comment 4 Karolin Seeger 2013-02-26 07:51:35 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-02-27 08:53:52 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!